### Class

# Clutter StageManager

#### Description [src]

    class Clutter.StageManager : GObject.Object
    {
      /* No available fields */
    }

Maintains the list of stages

`ClutterStageManager` is a singleton object, owned by Clutter, which maintains the list of currently active stages

Every newly-created `ClutterStage` will cause the emission of the `ClutterStageManager::stage-added` signal; once a `ClutterStage` has been destroyed, the `ClutterStageManager::stage-removed` signal will be emitted.

#### Ancestors

- GObject

#### Functions

###### clutter_stage_manager_get_default

Returns the default `ClutterStageManager`.

#### Instance methods

###### clutter_stage_manager_get_default_stage

Returns the default `ClutterStage`.

###### clutter_stage_manager_list_stages

Lists all currently used stages.

###### clutter_stage_manager_peek_stages

Lists all currently used stages.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.StageManager:default-stage

The default stage used by Clutter.

#### Signals

###### Clutter.StageManager::stage-added

The signal is emitted each time a new `ClutterStage` has been added to the stage manager.

###### Clutter.StageManager::stage-removed

The signal is emitted each time a `ClutterStage` has been removed from the stage manager.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterStageManagerClass {
      void (* stage_added) (
        ClutterStageManager* stage_manager,
        ClutterStage* stage
      );
      void (* stage_removed) (
        ClutterStageManager* stage_manager,
        ClutterStage* stage
      );

    }

The `ClutterStageManagerClass` structure contains only private data and should be accessed using the provided API.

###### Class members

`stage_added: void (* stage_added) ( ClutterStageManager* stage_manager, ClutterStage* stage )`

  No description available.

`stage_removed: void (* stage_removed) ( ClutterStageManager* stage_manager, ClutterStage* stage )`

  No description available.

#### Virtual methods

###### Clutter.StageManagerClass.stage_added

No description available.

###### Clutter.StageManagerClass.stage_removed

No description available.